package com.engine.recruit.enums;

/**
 * <p>聚才林招聘</p>
 * 需求状态枚举类
 *
 * @author:dxfeng
 * @createTime: 2023/09/13
 * @version: 1.0
 */
public enum RecruitStatusEnum {
    /**
     * 进行中(0)
     */
    RECRUITMENT_PROGRESS(0, "进行中"),
    /**
     * 招聘完成(1)
     */
    RECRUITMENT_COMPLETED(1, "招聘完成"),
    /**
     * 招聘停止(2)
     */
    RECRUITMENT_STOPS(2, "招聘停止");

    RecruitStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    /**
     * 选择框对应ID
     */
    private Integer value;

    /**
     * 选择框对应描述
     */
    private String desc;

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
